Yo-kai Watch Update Problem

Discussion in '3DS - Games & Content' started by TCJJ, Aug 19, 2016.

  1. TCJJ
    OP

    TCJJ GBAtemp Advanced Fan

    Member
    513
    117
    May 5, 2009
    New Zealand
    New Zealand
    I wasn't sure where else to get help with this so I decided to post this here.

    I just got Yo-kai Watch yesterday. It's a UK/European version and I have an Australian/New Zealand New 3DS XL on 11.0.0-33 with browserhax "installed".

    I had previously downloaded the update for the game before actually owning the game, but the game said an update was available anyway, so I did the update on the home menu... and it asked to update again, not registering the update.
    The second time, I clicked the "confirm details in eShop" link for the update, but got error 011-3021, saying that it was currently unavailable.

    So I rebooted my 3DS and the problem remained. Then I deleted the update file and tried re-downloading via the game's Press Y to Update option... and the problem remained.

    At this point, I'm stumped. I have used httpwn before but to my knowledge, that shouldn't be persistent after a reboot so it shouldn't be a problem. I'm on the latest firmware, at least as far as I know, and Australian/New Zealand games are typically always identical to UK/European copies (although they often mark the cartridges with "AU" instead of "EU" or "UK", but that shouldn't matter). The updates should be wholly compatible.

    So why isn't it working? Does anyone know? Is there perhaps a homebrew tool that I've overlooked (HANS crashes when I try it) that would let me access the UK/European eShop to download the update from there instead?

    Any help would be greatly appreciated because this is confusing the hell out of me.
     
  2. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,144
    1,195
    Jan 2, 2009
    Gambia, The
    as far as i know, the update only adds spanish voices to the game anyway.
     
  3. TCJJ
    OP

    TCJJ GBAtemp Advanced Fan

    Member
    513
    117
    May 5, 2009
    New Zealand
    New Zealand
    Interesting. Didn't know that. Still, it's annoying that it keeps asking to update.

    EDIT: Turns out there are also bug fixes.
     
    Last edited by TCJJ, Aug 19, 2016
  4. naddel81

    naddel81 GBAtemp Advanced Maniac

    Member
    1,521
    186
    Dec 14, 2009
    United States
    is there any way to get a changelog for the update? I noticed that my EU version does not load on 10.7 when the update is applied. apparently it need 11.0. so I deleted the update again.

    changelog would be great.
     
  5. TCJJ
    OP

    TCJJ GBAtemp Advanced Fan

    Member
    513
    117
    May 5, 2009
    New Zealand
    New Zealand
    I just Googled and found Reddit posts referring to what was patched. Languages (French and Spanish) and certain save-related bugs, from what I can tell.
     
  6. naddel81

    naddel81 GBAtemp Advanced Maniac

    Member
    1,521
    186
    Dec 14, 2009
    United States
    thanks. so I will skip this update and wait for big Ns next FW 12.0 :)
     
  7. TCJJ
    OP

    TCJJ GBAtemp Advanced Fan

    Member
    513
    117
    May 5, 2009
    New Zealand
    New Zealand
    Oh wait, you meant 11.0.0-33 for the 3DS itself? I don't know. Mostly just blocking exploits and what not. Since you have 10.7, you should install custom firmware. Look up one of the many guides for things like Luma and/or A9HL.
     
  8. naddel81

    naddel81 GBAtemp Advanced Maniac

    Member
    1,521
    186
    Dec 14, 2009
    United States
    no I meant the yokai update which does only work on 11.0. as long as its only minor bugs I am playing the game without update. I have menuhax 10.7 at the moment on reinand.
     
  9. TCJJ
    OP

    TCJJ GBAtemp Advanced Fan

    Member
    513
    117
    May 5, 2009
    New Zealand
    New Zealand
    Oh. Well, you can downgrade from 10.7 and install emuNAND with 11.0.0-33 so that the update will work AND you can use homebrew (and not-so-legal things).
     
  10. naddel81

    naddel81 GBAtemp Advanced Maniac

    Member
    1,521
    186
    Dec 14, 2009
    United States
    I already got emuNAND 10.7, but I am too lazy to update to 11.0 because everything works so far. I will consider updating when the new FW is out and newer pokemon games require it.
     
  11. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,144
    1,195
    Jan 2, 2009
    Gambia, The
    the thing is, we will never know if FW 12 doesn't somehow disable emunands. it'd be as easy as checking if multiple nand folders are present on the sd card and shutting down if there's two. we know 11 is safe and since the update is almost certainly already downloaded, it would take you like 6 seconds to install. (just make sure you really are in emunand)
    your eshop problems are caused by the low firmware
     
    Last edited by Clydefrosch, Aug 19, 2016
  12. naddel81

    naddel81 GBAtemp Advanced Maniac

    Member
    1,521
    186
    Dec 14, 2009
    United States
    I don't have eshop problems. the update requires FW11 to run. on 10.7 it won't boot. I will update as soon as new games (not only updates) require it.
     
  13. qdog82

    qdog82 GBAtemp Regular

    Member
    139
    2
    Jun 20, 2007
    United States
    The AUS version is not the same version as the european one. They have a different title id. Just download the AUS version of the Game and it will update just fine with your local eshop.
     
    Last edited by qdog82, Aug 19, 2016